Page MenuHomePhabricator

Incorrect rendering of chess board to pdf
Closed, ResolvedPublic

Description

Author: ubiquitous1980

Description:
Notice the white squares within the normal light and tan squares.

Chess boards when either rendered using the in-built GNU/Linux PDF renderer or using the wikimedia PDF renderer in wikimedia results in poor/inaccurate output.


Version: unspecified
Severity: normal
URL: https://en.wikibooks.org/wiki/Chess/Tactics
See Also:
http://web.archive.org/web/20110712135215/http://code.pediapress.com/wiki/ticket/938

Attached:

Details

Reference
bz34562

Related Objects

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 12:15 AM
bzimport added projects: Collection, TestMe.
bzimport set Reference to bz34562.
bzimport added a subscriber: Unknown Object (MLST).
brion added a comment.Feb 21 2012, 7:31 PM

Looks like source page is https://en.wikibooks.org/wiki/Chess/Tactics

Seems that the PDF renderer is not handling transparent backgrounds for images correctly; each image gets a while background that covers up the tan or brown background already in the table cell behind it.

Originally filed at http://web.archive.org/web/20110712135215/http://code.pediapress.com/wiki/ticket/938 ; currently moot because {{chess diagram}} outputs a table, ignored by the new PDF renderer.

Looks like source page is https://en.wikibooks.org/wiki/Chess/Tactics
Seems that the PDF renderer is not handling transparent backgrounds for images correctly; each image gets a while background that covers up the tan or brown background already in the table cell behind it.

So I tried converting the webpage to pdf again this was my process:

  1. I went to https://en.wikibooks.org/wiki/Chess/Tactics
  2. Click the 'download as pdf' at the left side panel.
  3. After the document file has been generated, pressed the 'use the printable version'.
  4. Selected the print option in the browser menu and selected 'save as pdf'.
  5. Checked the "Background Graphics" option
  6. Output:

No more white squares withing the chess boards for me
Windows 7 Ultimate Service Pack 1
Version 53.0.2785.143 m

Restricted Application added a project: Internet-Archive. · View Herald TranscriptDec 3 2016, 2:41 PM
Restricted Application added a subscriber: TerraCodes. · View Herald Transcript
Aklapper closed this task as Resolved.Dec 3 2016, 3:03 PM
Aklapper claimed this task.
Aklapper added a subscriber: Aklapper.

Thank you IsBetrayal for the good retesting (and providing your exact steps, that's really great work)!
It looks like the bug in this task has become obsolete in the meantime (maybe also because we switched to OfflineContentGenerator as the backend to create PDF files in the meantime).

Closing this task as the issue does not happen anymore.